%define	module	numexpr
%define name	python-%{module}
%define version	2.0
%define release	%mkrel 1

Summary: 	Fast numerical array expression evaluator for Python and NumPy
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://numexpr.googlecode.com/files/%{module}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
Url:		http://numexpr.googlecode.com/
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel >= 1.6
Requires:	python-numpy >= 1.6

%description
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%prep
%setup -q -n %{module}-%{version}

%build
PYTHONDONTWRITEBYTECODE= %__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc ANNOUNCE.txt LICENSE.txt RELEASE_NOTES.txt README.txt


%changelog

* Wed Nov 30 2011 lebedov <lebedov> 2.0-1.mga2
+ Revision: 174436
- Update to 2.0.

* Sun Sep 18 2011 lebedov <lebedov> 1.4.2-1.mga2
+ Revision: 145187
- Import patch to fix linking problem.
- Update spec file.
- imported package python-numexpr

